> ## Documentation Index
> Fetch the complete documentation index at: https://developer.buildpass.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete meeting

> Delete a meeting that this integrator created. The meeting is removed from BuildPass and no longer returned by the API. Meetings created in BuildPass or by another integrator cannot be deleted.



## OpenAPI

````yaml DELETE /builders/{builderId}/meetings/{meetingId}
openapi: 3.0.0
info:
  title: BuildPass API
  description: >-
    Approved integrators can connect to the BuildPass API on behalf of builders
    to build connections between a wide range of construction platforms.
  version: 1.0.0
servers:
  - url: https://api.buildpass.global
    description: Production server
security:
  - OAuth2: []
paths:
  /builders/{builderId}/meetings/{meetingId}:
    delete:
      description: >-
        Delete a meeting that this integrator created. The meeting is removed
        from BuildPass and no longer returned by the API. Meetings created in
        BuildPass or by another integrator cannot be deleted.
      operationId: deleteMeeting
      parameters:
        - name: builderId
          in: path
          required: true
          schema:
            type: string
            example: buil_clgbsb90b001qjy0f0eo1hspp
        - name: meetingId
          in: path
          required: true
          schema:
            type: string
            example: extapitoolboxmeeting01
      responses:
        '200':
          description: Deleted meeting
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/MeetingLifecycleResponse'
                  - type: object
                    properties:
                      deletedAt:
                        type: string
                        format: date-time
                        example: '2026-01-15T09:30:00.000Z'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '409':
          description: The meeting was not created by this integrator
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    example: SOURCE_OWNERSHIP_CONFLICT
                  message:
                    type: string
                    example: Only meetings created by this integrator can be deleted
        '429':
          description: Too Many Requests
        '500':
          description: Internal Server Error
      security:
        - OAuth2:
            - write:meetings
components:
  schemas:
    MeetingLifecycleResponse:
      type: object
      properties:
        id:
          type: string
          example: extapitoolboxmeeting01
        builderId:
          type: string
          example: buil_clgbsb90b001qjy0f0eo1hspp
        projectId:
          type: string
          example: proj_clgbsb90b001qjy0f0eo1hscp
        title:
          type: string
          example: Concrete Pour Planning
        name:
          type: string
          example: Concrete Pour Planning
        date:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
        status:
          type: string
          enum:
            - DRAFT
            - DISTRIBUTED
            - RUNNING
            - COMPLETED
          example: RUNNING
        agenda:
          type: string
          nullable: true
          example: External API integration test agenda
        meetingTitle:
          type: string
          nullable: true
          example: External API seeded meeting
        notes:
          type: string
          nullable: true
          example: Seeded meeting for External API integration tests
        updatedAt:
          type: string
          format: date-time
          example: '2026-01-15T09:00:00.000Z'
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.buildpass.global/oauth/token
          scopes:
            read:subcontractors: Read subcontractors
            write:subcontractors: Write subcontractors
            read:prequalifications: Read prequalifications
            write:prequalifications: Write prequalifications
            read:insurances: Read insurances
            write:insurances: Write insurances
            read:contacts: Read contacts
            read:swms: Read SWMS
            read:timesheets: Read timesheets
            read:inductions: Read inductions
            read:meetings: Read meetings
            write:meetings: Write meetings
            read:defects: Read defects
            read:photos: Read photos and photo folders
            write:photos: Create, update, delete, and sync photos and photo folders
            read:site_access: Read worker-project site access grants (explicitly approved pilot)
            write:sign_on_events: >-
              Record worker sign-on and sign-off events (explicitly approved
              pilot)

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.